epp_MessageQueue (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_MessageQueue class

### org.openrtk.idl.epprtk

# Class epp_MessageQueue

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_MessageQueue`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_MessageQueue`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements necessary to present status of the service messages queued in the EPP server for client retrieval. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_MessageQueue.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_Response.setMessageQueue(epp_MessageQueue)`

  ## Field Summary
  `int` | `m_count` The number of the service messages queued in EPP server for client retrieval.
  `String` | `m_id`
  `epp_ExtMessage` | `m_msg`
  `String` | `m_queue_date` The date and time that a particular message was enqueued.

  ## Constructor Summary
  `epp_MessageQueue()` Empty constructor
  `epp_MessageQueue(int _m_count, String _m_queue_date, epp_ExtMessage _m_msg, String _m_id)` The constructor with initializing variables.

  ## Method Summary
  `int` | `getCount()` Accessor method for the number of the service messages queued for client retrieval
  `epp_ExtMessage` | `getExtMsg()` Accessor to the queue message.
  `String` | `getId()`
  `String` | `getMsg()` Deprecated. Please use getExtMsg() instead
  `String` | `getQueueDate()` Accessor method for the date and time that a particular message was enqueued
  `void` | `setCount(int value)` Accessor method for the number of the service messages queued for client retrieval
  `void` | `setExtMsg(epp_ExtMessage value)` Accessor to the queue message.
  `void` | `setId(String value)`
  `void` | `setMsg(String value)` Deprecated. Please use setExtMsg() instead
  `void` | `setQueueDate(String value)` Accessor method for the date and time that a particular message was enqueued
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_count

    public int m_count

> The number of the service messages queued in EPP server for client retrieval.
> See Also:
>   `setCount(int)`, `getCount()`

### m_id

    public String m_id

### m_msg

    public epp_ExtMessage m_msg

### m_queue_date

    public String m_queue_date

> The date and time that a particular message was enqueued. Only be present when returning a message in a poll response
> See Also:
>   `setQueueDate(String)`, `getQueueDate()`

## Constructor Details

### epp_MessageQueue

    public epp_MessageQueue()

> Empty constructor

### epp_MessageQueue

    public epp_MessageQueue(int _m_count,
                            String _m_queue_date,
                            epp_ExtMessage _m_msg,
                            String _m_id)

> The constructor with initializing variables.
> Parameters:
>   `_m_count` - The number of the service messages queued for client retrieval
>   `_m_queue_date` - The date and time that a particular message was enqueued

## Method Details

### getCount

    public int getCount()

> Accessor method for the number of the service messages queued for client retrieval
> Returns:
>   The number of the service messages
> See Also:
>   `m_count`

### getExtMsg

    public epp_ExtMessage getExtMsg()

> Accessor to the queue message.

### getId

    public String getId()

### getMsg

    public String getMsg()

> Deprecated. Please use getExtMsg() instead

### getQueueDate

    public String getQueueDate()

> Accessor method for the date and time that a particular message was enqueued
> Returns:
>   The date and time that a particular message was enqueued
> See Also:
>   `m_queue_date`

### setCount

    public void setCount(int value)

> Accessor method for the number of the service messages queued for client retrieval
> Parameters:
>   `value` - The number of the service messages
> See Also:
>   `m_count`

### setExtMsg

    public void setExtMsg(epp_ExtMessage value)

> Accessor to the queue message.

### setId

    public void setId(String value)

### setMsg

    public void setMsg(String value)

> Deprecated. Please use setExtMsg() instead

### setQueueDate

    public void setQueueDate(String value)

> Accessor method for the date and time that a particular message was enqueued
> Parameters:
>   `value` - The date and time that a particular message was enqueued
> See Also:
>   `m_queue_date`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS